<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Buzzhub
 *
 * about section
 */
$wp_customize->add_section(
	'buzzhub_about',
	array(
		'title' => esc_html__( 'About', 'buzzhub' ),
		'panel' => 'buzzhub_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'buzzhub_about',
	array(
		'sanitize_callback' => 'buzzhub_sanitize_select',
		'default' => 'disable',
	)
);
$wp_customize->add_control(
	'buzzhub_about',
	array(
		'section'		=> 'buzzhub_about',
		'label'			=> esc_html__( 'Content type:', 'buzzhub' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'buzzhub' ),
		'type'			=> 'select',
		'choices'		=> array(	
				'disable' => esc_html__( '--Disable--', 'buzzhub' ),
				'page' => esc_html__( 'Page', 'buzzhub' ),
		 	)
	)
);


for ($i=1; $i <= 1 ; $i++) {

	// blog page setting
	$wp_customize->add_setting(
		'buzzhub_about_page_'.$i,
		array(
			'sanitize_callback' => 'buzzhub_sanitize_dropdown_pages',
			'default' => 0,
		)
	);
	$wp_customize->add_control(
		'buzzhub_about_page_'.$i,
		array(
			'section'		=> 'buzzhub_about',
			'label'			=> esc_html__( 'Page ', 'buzzhub' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'buzzhub_if_about_page'
		)
	);
}

$wp_customize->add_setting(
	'buzzhub_about_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Learn More', 'buzzhub' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'buzzhub_about_btn_title',
	array(
		'section'		=> 'buzzhub_about',
		'label'			=> esc_html__( 'Btn Title:', 'buzzhub' ),
		'active_callback'	=> 'buzzhub_if_about_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'buzzhub_about_btn_title', 
	array(
        'selector'            => '#about div.read-more a',
		'render_callback'     => 'buzzhub_about_partial_btn_title',
	) 
);