<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Buzzhub
 *
 * slider section
 */

$wp_customize->add_section(
	'buzzhub_slider',
	array(
		'title' => esc_html__( 'Slider Section', 'buzzhub' ),
		'panel' => 'buzzhub_home_panel',
	)
);

// slider enable settings
$wp_customize->add_setting(
	'buzzhub_slider',
	array(
		'sanitize_callback' => 'buzzhub_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'buzzhub_slider',
	array(
		'section'		=> 'buzzhub_slider',
		'label'			=> esc_html__( 'Content type:', 'buzzhub' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'buzzhub' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'buzzhub' ),
				'page' => esc_html__( 'Page', 'buzzhub' ),
		 	)
	)
);


$slider_count = 3;

for ($i=1; $i <= $slider_count ; $i++) { 

	// slider page setting
	$wp_customize->add_setting(
		'buzzhub_slider_page_'.$i,
		array(
			'sanitize_callback' => 'buzzhub_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'buzzhub_slider_page_'.$i,
		array(
			'section'		=> 'buzzhub_slider',
			'label'			=> esc_html__( 'Page ', 'buzzhub' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'buzzhub_if_slider_page'
		)
	);
}

$wp_customize->add_setting(
	'buzzhub_slider_button_label',
	array(	
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> esc_html__( 'Learn More', 'buzzhub' ),
	'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'buzzhub_slider_button_label',
	array(
	'label'       => __('Button Label', 'buzzhub'),  
	'section'     => 'buzzhub_slider',   		
	'type'        => 'text',
	'active_callback'	=> 'buzzhub_if_slider_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'buzzhub_slider_button_label', 
	array(
        'selector'            => '#hero-slider div.read-more a',
		'render_callback'     => 'buzzhub_slider_partial_button',
	) 
);
