<?php
/**
 * Ostrich Theme Customizer
 *
 * @package Buzzhub Theme
 *
 * testimonial section
 */

$wp_customize->add_section(
	'buzzhub_testimonial',
	array(
		'title' => esc_html__( 'Testimonial', 'buzzhub' ),
		'panel' => 'buzzhub_home_panel',
	)
);

// testimonial enable settings
$wp_customize->add_setting(
	'buzzhub_testimonial',
	array(
		'sanitize_callback' => 'buzzhub_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'buzzhub_testimonial',
	array(
		'section'		=> 'buzzhub_testimonial',
		'label'			=> esc_html__( 'Content type:', 'buzzhub' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'buzzhub' ),
		'type'			=> 'select',		
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'buzzhub' ),
				'page' => esc_html__( 'Page', 'buzzhub' ),
		 	)
	)
);

$wp_customize->add_setting( 
	'buzzhub_testimonial_bg_image',
	array(
		'sanitize_callback' => 'buzzhub_sanitize_image',
	) 
);

$wp_customize->add_control( 
	new WP_Customize_Image_Control( $wp_customize, 'buzzhub_testimonial_bg_image',
	array(
		'label'       		=> esc_html__( 'Testimonial Image', 'buzzhub' ),
		'section'     		=> 'buzzhub_testimonial',
		'active_callback'	=> 'buzzhub_if_testimonial_enabled',
	)
) );

$testimonial_num = 3;


for ($i=1; $i <= $testimonial_num ; $i++) { 

	// testimonial page setting
	$wp_customize->add_setting(
		'buzzhub_testimonial_page_'.$i,
		array(
			'sanitize_callback' => 'buzzhub_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'buzzhub_testimonial_page_'.$i,
		array(
			'section'		=> 'buzzhub_testimonial',
			'label'			=> esc_html__( 'Page ', 'buzzhub' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'buzzhub_if_testimonial_page'
		)
	);

		
	$wp_customize->add_setting(
		'buzzhub_testimonial_position_'.$i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'transport'	=> 'refresh',
		)
	);

	$wp_customize->add_control(
		'buzzhub_testimonial_position_'.$i,
		array(
			'section'		=> 'buzzhub_testimonial',
			'label'			=> esc_html__( 'Client Position:', 'buzzhub' ). $i,
			'active_callback' => 'buzzhub_if_testimonial_enabled',
			
		)
	);

}

