<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Buzzhub
 */

get_header(); ?>
		
	<div id="page-site-header" class="relative" style="background-image: url('<?php echo esc_url( get_header_image() ) ; ?>');">
	 	<div class="overlay"></div>
        <div class="container">  	
		        <header class="page-header">
		            <h1 class="page-title"><?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'buzzhub' ), '<span>' . get_search_query() . '</span>' );
					?></h1>
		        </header>
		        <?php  
		        $breadcrumb_enable = get_theme_mod( 'buzzhub_breadcrumb_enable', true );
		        if ( $breadcrumb_enable ) : 
		            ?>
		            <div id="breadcrumb-list">
		                    <?php echo buzzhub_breadcrumb( array( 'show_on_front'   => false, 'show_browse' => false ) ); ?>
		            </div><!-- #breadcrumb-list -->
		        <?php endif; ?>
		    </div><!-- .wrapper -->
		</div><!-- #page-site-header -->

    	<div id="content-wrapper" class="pt">
    		<div class="container">
				<div id="primary" class="content-area">
	                <main id="main" class="site-main" role="main">
	    	        	<?php 
	            			$archive_layout = get_theme_mod( 'buzzhub_archive_layout', 'col-2' ); 
	                	?>
	                    <div id="infinite-post-wrap" class="archive-blog-wrapper <?php echo esc_attr( $archive_layout ) ?> clear">
							<?php
							/* Start the Loop */
							if ( have_posts() ) :
								while ( have_posts() ) : the_post();

									/*
									 * Include the Post-Format-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', get_post_format() );

								endwhile;

							else :

								get_template_part( 'template-parts/content', 'none' );

							endif; ?>
						</div><!-- .posts-wrapper -->
						<?php buzzhub_posts_pagination();?>
					</main><!-- #main -->
				</div><!-- #primary -->
			
				<?php get_sidebar(); ?>
			</div>
		</div>

<?php
get_footer();
