<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$about = get_theme_mod( 'buzzhub_about', 'post' );
// Bail if the section is disabled.
if ( 'disable' === $about ) {
    return;
}
$about_excerpt = 45;
$about_btn    = get_theme_mod( 'buzzhub_about_btn_title', __( 'Learn More', 'buzzhub') ) ;
$get_content = buzzhub_get_section_content( 'about', $about, 1  );
?>

<div id="about" class="pt">
    <div class="container">

        <?php foreach ( $get_content as $content ): ?>

        <article class="has-post-thumbnail">
            <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
                <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="post-thumbnail-link"></a>
            </div>
            <div class="entry-container">
                <div class="section-header">
                    <h2 class="section-title"><?php echo esc_html( $content['title'] ); ?></h2>
                </div><!-- .section-header -->

                <div class="entry-content">
                    <p><?php echo esc_html( wp_trim_words( $content['content'], $about_excerpt ) ); ?></p>

                    <?php if( !empty( $about_btn ) ): ?>
                    <div class="read-more">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="button"><?php echo esc_html( $about_btn ); ?></a>
                    </div><!-- .read-more -->
                <?php endif; ?>
                </div><!-- .entry-content -->
            </div><!-- .entry-container -->
        </article>

        <?php endforeach; ?>

    </div><!-- .container -->
</div><!-- #about -->