<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$cta = get_theme_mod( 'buzzhub_cta', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $cta ) {
    return;
}

$get_content = [];
$sub_title    = get_theme_mod( 'buzzhub_cta_sub_title', __( 'GET SOLUTIONS FAST', 'buzzhub') ) ;
$button    = get_theme_mod( 'buzzhub_cta_btn', __( 'Get a Quote here', 'buzzhub') ) ;
if($cta == 'custom'){
    for ($i=1; $i<=1 ; $i++) { 
        $content['url'] = get_theme_mod('buzzhub_cta_btn_url', '#');
        $content['title'] = get_theme_mod('buzzhub_cta_title', esc_html__( 'Searching for a First-Class Consultant?', 'buzzhub' ));
        if(!empty($content)){
            array_push($get_content, $content);
        }
    }
}else{
   $get_content = buzzhub_get_section_content( 'cta', $cta, 1  );
}


?>
<?php foreach ($get_content as $content): ?>
<div id="call-to-action" class="pt" style="background-image:url('<?php echo esc_url( get_theme_mod( 'buzzhub_cta_bg_image' ) ); ?>')">
    <div class="container">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( $content['title'] ); ?></h2>
        </div><!-- .section-header -->

        <div class="section-content">
            <?php if( !empty( $button ) ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( $content['url'] ) ?>" class="button"><?php echo esc_html( $button ); ?></a>
            </div><!-- .read-more -->
        <?php endif; ?>
        </div><!-- .section-content -->
    </div> <!-- .container -->
</div><!-- #cta -->
<?php endforeach; ?>