<?php
/**
* Template part for displaying front page introduction.
*
* @package Buzzhub
*/

// Get the content type.
$gallery       = get_theme_mod( 'buzzhub_gallery', 'disable' );
$gallery_cat_num   = 3;
$gallery_title     = get_theme_mod( 'buzzhub_gallery_title', __( 'Our Top Recent Gallery Posts', 'buzzhub') );

if ( 'disable' === $gallery ) {
    return;
}
?>

<div id="gallery" class="pt">
    <div class="container">
        <div class="section-header">
            <?php if( !empty( $gallery_title ) ):
                ?>
                <h2 class="section-title"><?php echo esc_html( $gallery_title ) ; ?></h2>
            <?php endif; ?>
        </div><!-- .section-header -->

        <div class="section-content col-4">
            <nav class="portfolio-filter">
                <ul class="nav-tabs clear">
                    <li class="active"><a href="#" data-filter="*"><?php esc_html_e('All', 'buzzhub'); ?></a></li>
                    <?php 

                    $cats= [];
                    for ($i=1; $i <= $gallery_cat_num; $i++){

                        if(!empty(get_theme_mod('buzzhub_gallery_cat_'.$i))){
                            $cats[] = get_theme_mod('buzzhub_gallery_cat_'.$i);
                            $category = get_category(get_theme_mod('buzzhub_gallery_cat_'.$i));
                            echo '<li><a href="#" data-filter=".'.$category->slug.'">'.$category->name.'</a></li>';
                        }
                    }

                    ?>
                </ul><!-- .nav-tabs -->
            </nav>

            <div class="grid gallery-popup">
                <?php 
                $query = new WP_Query( array( 
                    'category__in' => $cats,
                    'ignore_sticky_posts' => true,
                    'posts_per_page' => 8,

                ) );

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) : $query->the_post(); ?>
                        <div class="grid-item <?php echo buzzhub_get_category_slug_list( get_the_ID() ); ?> hentry">
                            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( ); ?>')">
                                <div class="gallery-item-wrapper">
                                    <?php $category = get_the_category(); echo '<span>'.$category[0]->name.'</span>';?>
                                    <a href="<?php the_permalink(); ?>"><h3 class="gallery-title"><?php the_title(); ?></h3></a>
                                </div>
                            </div><!-- .featured-image -->
                        </div><!-- .grid-item -->

                        <?php 
                    endwhile;
                    wp_reset_postdata();
                }
                ?>
            </div><!-- .grid -->

        </div><!-- .section-content -->
    </div><!-- .container -->
</div><!-- #portfolio -->