<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$recent_news = get_theme_mod( 'buzzhub_recent_news', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $recent_news ) {
	return;
}
$recent_news_count    = 3 ;

$recent_news_btn    = get_theme_mod( 'buzzhub_recent_news_button_label', __( 'Learn More', 'buzzhub') );
$recent_news_title    = get_theme_mod( 'buzzhub_recent_news_title', __( 'Choose Your Perfect Plan', 'buzzhub') );

$recent_news_excerpt = 30;

$get_content = buzzhub_get_section_content( 'recent_news', $recent_news, $recent_news_count  );
?>

<div id="recent-news" class="pt">
    <div class="container">
        <div class="section-header">
                <?php if( !empty( $recent_news_title ) ):

                ?>
            <h2 class="section-title"><?php echo esc_html( $recent_news_title ); ?></h2>
        <?php endif; ?>
    </div><!-- .section-header -->

    <div class="section-content col-3 clear">

        <?php foreach ( $get_content as $content ): ?>

            <article>
                <div class="recent-news-item">
                    <div class="featured-image">
                        <a href="<?php echo esc_url( $content['url'] ); ?>"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>" alt="news"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-meta">
                        <?php buzzhub_posted_on( $content['id'] ); ?>
                    </div><!-- .entry-meta -->

                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                    </header>

                    <div class="entry-content">
                        <p><?php echo esc_html( wp_trim_words( $content['content'], $recent_news_excerpt ) ); ?></p>
                    </div><!-- .entry-content -->

                </div><!-- team-item-wrapper -->
            </article>

        <?php endforeach; ?>

    </div><!-- .section-content -->
</div><!-- .wrapper -->
</div><!-- #recent-news -->