<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$service = get_theme_mod( 'buzzhub_service', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $service ) {
    return;
}
$service_count    = 3;

$service_excerpt = 20 ;

$service_title = get_theme_mod( 'buzzhub_service_title', __( 'What We Do', 'buzzhub') ) ;

$get_content = buzzhub_get_section_content( 'service', $service, $service_count  );

?>

<div id="our-services" class="pt padding">
    <div class="container">
        <?php if ( !empty( $sub_title ) && !empty( $service_title ) ): ?>
            <div class="section-header">

                <?php if( !empty( $service_title ) ):
                   ?>
                   <h2 class="section-title"><?php echo esc_html( $service_title ); ?></h2>
               <?php endif; ?>
           </div><!-- .section-header -->
        <?php endif ?>
        

        <div class="col-3 clear">

             <?php $i=1; foreach ( $get_content as $content ): 
                $icon = get_theme_mod( 'buzzhub_service_icon_'.$i ) ? get_theme_mod( 'buzzhub_service_icon_'.$i ) : '';
            ?>

            <article>
                <div class="services-wrap">
                    <?php if ( !empty( $icon ) ): ?>
                        <div class="icon">
                            <a href="<?php echo esc_url( $content['url'] ) ?>"><i class="fa <?php echo esc_attr( $icon ) ?>"></i></a>
                        </div><!-- .icon -->
                    <?php endif ?>
                   

                    <div class="entry-container">
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>

                        <div class="entry-content">
                            <p><?php echo esc_html( wp_trim_words( $content['content'], $service_excerpt ) ); ?></p>
                        </div><!-- .entry-content -->
                    </div><!-- .entry-container -->
                </div><!-- .services-wrap -->
            </article>

            <?php $i++; endforeach; ?>

        </div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #our-services -->