<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$slider = get_theme_mod( 'buzzhub_slider', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $slider ) {
	return;
}
$slider_count    = 3;

$slider_btn    = get_theme_mod( 'buzzhub_slider_button_label', __( 'Learn More', 'buzzhub') );

$slider_autoplay = false;

$slider_excerpt = 30;

$get_content = buzzhub_get_section_content( 'slider', $slider, $slider_count  );
?>

<div id="hero-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": false, "arrows":true, "autoplay": <?php echo esc_attr( $slider_autoplay ); ?>, "draggable": true, "fade": false }'>

    <?php foreach ( $get_content as $content ): ?>

    <article style="background-image:url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
        <div class="overlay"></div>
        <div class="container">
            <div class="hero-slider-wrapper">
                <header class="entry-header">
                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>" tabindex="0"><?php echo esc_html( $content['title'] ); ?></a></h2>
                </header>

                <div class="entry-content">
                    <p><?php echo esc_html( wp_trim_words( $content['content'], $slider_excerpt ) ); ?></p>
                </div><!-- .entry-content -->

                <?php if( !empty( $slider_btn ) ): ?>
                <div class="read-more">
                    <a href="<?php echo esc_url( $content['url'] ); ?>" class="button" tabindex="0"><?php echo esc_html( $slider_btn ); ?></a>
                </div>
            <?php endif; ?>
            </div><!-- .hero-slider-wrapper -->
        </div><!-- .container -->
    </article>

<?php endforeach; ?>

</div><!-- #featured-slider -->