<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$team = get_theme_mod( 'buzzhub_team', 'disable' );
$team_num	= 3;
$team_title   = get_theme_mod('buzzhub_team_title',__('Here is Our Awesome Team','buzzhub') );
$team_excerpt = 20;
// Bail if the section is disabled.
if ( 'disable' === $team ) {
	return;
}

$get_content = buzzhub_get_section_content( 'team', $team, $team_num );

?>

<div id="our-team" class="pt">
    <div class="container">
        <div class="section-header">
            <?php if( !empty( $subtitle ) ): ?>
                <p class="section-subtitle"><?php echo esc_html( $subtitle ); ?></p>
            <?php endif;
            if( !empty( $team_title ) ):
                ?>
                <h2 class="section-title"><?php echo esc_html( $team_title ); ?></h2>
            <?php endif; ?>
        </div><!-- .section-header -->

        <div class="section-content col-3 clear">

            <?php $i=1; foreach ($get_content as $content): ?>

            <article>
                <div class="team-item-wrapper">
                    <div class="featured-image">
                        <a href="<?php echo esc_url($content['url']); ?>"><img src="<?php echo esc_url(get_the_post_thumbnail_url($content['id'],'medium_large')); ?>" alt="team"></a>
                    </div><!-- .featured-image -->

                    <header class="entry-header">
                        <span class="team-position"><?php echo esc_html(get_theme_mod('buzzhub_team_position_'.$i)); ?></span>
                        <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                    </header>

                    <div class="social-icons">
                        <ul>
                            <?php 
                            $team_socials = ! empty( get_theme_mod( 'buzzhub_team_social_link_' .$i ) ) ? explode( '|', get_theme_mod( 'buzzhub_team_social_link_' .$i ) ) : array(); 

                            foreach ( $team_socials as $team_social ) : 

                                ?>
                                <li>
                                    <a href="<?php echo esc_url( $team_social ); ?>"><?php echo buzzhub_get_svg_by_url( $team_social ); ?></a>
                                </li>

                            <?php endforeach; ?>
                        </ul>
                    </div><!-- .social-icons -->
                </div><!-- team-item-wrapper -->
            </article>

            <?php $i++; endforeach; ?>

        </div><!-- .section-content -->
    </div><!-- .container -->
</div><!-- #our-team -->