<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Buzzhub
 */

// Get the content type.
$testimonial = get_theme_mod( 'buzzhub_testimonial', 'disable' );
$testimonial_num	= 3;
$testimonial_excerpt = 35;
$testimonial_autoplay = false;
// Bail if the section is disabled.
if ( 'disable' === $testimonial ) {
	return;
}

$get_content = buzzhub_get_section_content( 'testimonial', $testimonial, $testimonial_num );

?>

<div id="testimonial" class="pt" style="background-image: url('<?php echo esc_url( get_theme_mod( 'buzzhub_testimonial_bg_image' ) ); ?>');">
    <div class="overlay"></div>
    <div class="container">
        <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": true, "arrows": false, "autoplay": <?php echo esc_attr( $testimonial_autoplay ); ?>, "draggable": true, "fade": false }'>

            <?php foreach ($get_content as $i=>$content): ?>

                <article>
                    <div class="featured-image">
                        <a href="<?php echo esc_url($content['url']); ?>"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>" alt="testimonial"></a>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                            <span class="position"><?php echo esc_html(get_theme_mod('buzzhub_testimonial_position_'.($i+1))); ?></span>
                        </header>
                    </div><!-- .featured-image -->

                    <div class="entry-content">
                        <p><?php echo esc_html( wp_trim_words( $content['content'], $testimonial_excerpt ) ); ?></p>                  
                    </div><!-- .entry-content -->
                </article>

            <?php endforeach; ?>

        </div><!-- .testimonial-slider -->
    </div><!-- .container -->
</div><!-- #testimonial -->